#!/bin/bash

export LOGFILE="/var/log/aether-gen.log"

/usr/local/src/Aether/server-backup

cd /home/aether

date >> $LOGFILE

echo Creating and compressing archive...
tar cvf aether.tar /usr/local/backup
gzip -f aether.tar

echo Encrypting archive
openssl enc -aes256 -pass file:/usr/local/etc/Aether/pass.txt -in aether.tar.gz -out aether.enc
rm aether.tar.gz

echo Created aether archive.

date >> $LOGFILE
echo >> $LOGFILE
